Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Interface PolicyInterceptorProvider

All Superinterfaces:
  InterceptorProvider

All Known Implementing Classes:
  AbstractPolicyInterceptorProvider

    public interface PolicyInterceptorProvider

extends InterceptorProvider

Method Summary
`java.util.Collection<javax.xml.namespace.QName>` | `getAssertionTypes()` Returns a collection of QNames describing the xml schema types of the assertions that this interceptor implements.
`java.util.List<Interceptor>` | `provideInFaultInterceptors(Message m)`
`java.util.List<Interceptor>` | `provideInInterceptors(Message m)`
`java.util.List<Interceptor>` | `provideOutFaultInterceptors(Message m)`
`java.util.List<Interceptor>` | `provideOutInterceptors(Message m)`

Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider
`getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

Method Detail

### getAssertionTypes

    java.util.Collection<javax.xml.namespace.QName> getAssertionTypes()

  Returns a collection of QNames describing the xml schema types of the assertions that this interceptor implements.

  Returns:
    collection of QNames of known assertion types

### provideInInterceptors

    java.util.List<Interceptor> provideInInterceptors(Message m)

### provideOutInterceptors

    java.util.List<Interceptor> provideOutInterceptors(Message m)

### provideOutFaultInterceptors

    java.util.List<Interceptor> provideOutFaultInterceptors(Message m)

### provideInFaultInterceptors

    java.util.List<Interceptor> provideInFaultInterceptors(Message m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF